<?php

class AdvertAddingRestTest extends TestCase {

  public function testGetCategoriesInfo()
  {
    $this->setUser();

    $response = $this->action('GET', 'Api\AdvertController@getCategories')->getContent();

    $this->assertJson($response);
  }

  public function testGetFields()
  {
    $this->setUser();

    $response = $this->action('GET', 'Api\AdvertController@getCategoryFields', ['id'=>17])->getContent();
    $this->assertJson($response);
  }
}